Peplink Portal Docs
Starlink Requests

Search Starlink Requests

Search Starlink requests under your partner account by different criteria.

Required Capabilities

Starlink Viewer

Request

GET/starlink/requests/search

Query parameters

viewSegmentenumrequired

Controls the scope of results to return.

  • SELF — Returns requests created by your own partner account
  • CHILDREN_ONLY — Returns requests created by your resellers
pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

sortstringoptional

Sort field and direction.

querystringoptional

Search query string.

accountRefIdintegeroptional

Filter results by partner account reference ID.

starlinkAccountRefIdstringoptional

Filter results by Starlink account reference ID.

statusesenum arrayoptional

Filter results by status.

  • PENDING_APPROVAL — The request is pending approval.
  • PROCESSING — The request is being processed.
  • COMPLETED — The request has been completed.
  • CANCELLED — The request has been cancelled.
  • REJECTED — The request has been rejected.
  • EXPIRED — The request has expired.
  • ABORTED — The request has been aborted.
typesenum arrayoptional

Filter results by request type.

  • SERVICE_LINE_CREATE — Request to create a new service line.
  • SERVICE_LINE_CHANGE_PLAN — Request to change the plan of an existing service line.
  • SERVICE_LINE_OPT_IN — Request to opt in to a service line.
  • SERVICE_LINE_TOPUP — Request to top up a service line.
  • SERVICE_LINE_REACTIVATE — Request to reactivate a service line.
  • DEVICE_ORDER — Request to order a new device.
changeServiceLinePlanDetailStarlinkServiceLineRefIdstringoptional

Filter results by the Starlink service line reference ID of the change plan detail.

optInServiceLineDetailStarlinkServiceLineRefIdstringoptional

Filter results by the Starlink service line reference ID of the opt-in detail.

reactivateServiceLineDetailStarlinkServiceLineRefIdstringoptional

Filter results by the Starlink service line reference ID of the reactivate detail.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns records found for the current page of search result.

Show child attributes
items.refIdstring

Reference ID of the Starlink request.

items.accountRefIdlong

Reference ID of the partner account that created the request.

items.parentAccountRefIdnullable long

Reference ID of the parent partner account. null if not applicable.

items.starlinkAccountRefIdstring

Reference ID of the Starlink account associated with this request.

items.typeenum

Type of the Starlink request.

  • SERVICE_LINE_CREATE — Request to create a new service line.
  • SERVICE_LINE_CHANGE_PLAN — Request to change the plan of an existing service line.
  • SERVICE_LINE_OPT_IN — Request to opt in to a service line.
  • SERVICE_LINE_TOPUP — Request to top up a service line.
  • SERVICE_LINE_REACTIVATE — Request to reactivate a service line.
  • DEVICE_ORDER — Request to order a new device.
items.currencynullable string

Currency used for the request. null if not applicable.

items.itemsobject array

Line items included in the request.

Show child attributes
items.items.parentItemIdnullable integer

Parent item ID. null if this item has no parent.

items.items.itemIdinteger

Item ID.

items.items.skustring

SKU of the product.

items.items.productNamestring

Name of the product.

items.items.quantityinteger

Quantity of the product.

items.items.originalUnitPricenumber

Original unit price before any adjustments.

items.items.unitPricenumber

Effective unit price.

items.createServiceLineDetailnullable object

Details for a SERVICE_LINE_CREATE request. null for other request types.

Show child attributes
items.createServiceLineDetail.namestring

Name of the service line to create.

items.createServiceLineDetail.starlinkAddressRefIdstring

Reference ID of the Starlink address to associate with the service line.

items.createServiceLineDetail.starlinkServiceLineRefIdnullable string

Reference ID of the created Starlink service line. Populated after the request is processed. null if not yet processed.

items.createServiceLineDetail.pendingActivationboolean

Whether the new service line is held in the Pending Activation state until a Starlink device is assigned. Only applies when starlinkDeviceRefIds is empty.

items.createServiceLineDetail.starlinkDeviceRefIdsstring array

Reference IDs of the Starlink devices to assign to the new service line. Empty if no devices were specified.

items.changeServiceLinePlanDetailnullable object

Details for a SERVICE_LINE_CHANGE_PLAN request. null for other request types.

Show child attributes
items.changeServiceLinePlanDetail.starlinkServiceLineRefIdstring

Reference ID of the Starlink service line whose plan is being changed.

items.changeServiceLinePlanDetail.isDelayUpdateboolean

Whether the plan change is scheduled to take effect at the next billing cycle.

items.optInServiceLineDetailnullable object

Details for a SERVICE_LINE_OPT_IN request. null for other request types.

Show child attributes
items.optInServiceLineDetail.starlinkServiceLineRefIdstring

Reference ID of the Starlink service line to opt in.

items.reactivateServiceLineDetailnullable object

Details for a SERVICE_LINE_REACTIVATE request. null for other request types.

Show child attributes
items.reactivateServiceLineDetail.starlinkServiceLineRefIdstring

Reference ID of the Starlink service line to reactivate.

items.topupServiceLineDetailnullable object

Details for a SERVICE_LINE_TOPUP request. null for other request types.

Show child attributes
items.topupServiceLineDetail.starlinkServiceLineRefIdstring

Reference ID of the Starlink service line to top up.

items.orderDeviceDetailnullable object

Details for a DEVICE_ORDER request. null for other request types.

Show child attributes
items.orderDeviceDetail.shippingAddressobject

Shipping address for the device order.

Show child attributes
items.orderDeviceDetail.shippingAddress.companystring

Company name.

items.orderDeviceDetail.shippingAddress.firstNamestring

First name of the recipient.

items.orderDeviceDetail.shippingAddress.lastNamestring

Last name of the recipient.

items.orderDeviceDetail.shippingAddress.emailstring

Email address of the recipient.

items.orderDeviceDetail.shippingAddress.phonestring

Phone number of the recipient.

items.orderDeviceDetail.shippingAddress.line1string

Address line 1.

items.orderDeviceDetail.shippingAddress.line2nullable string

Address line 2. null if not applicable.

items.orderDeviceDetail.shippingAddress.citystring

City.

items.orderDeviceDetail.shippingAddress.statenullable string

State or province. null if not applicable.

items.orderDeviceDetail.shippingAddress.zipCodestring

Postal code.

items.orderDeviceDetail.shippingAddress.countryCodestring

ISO 3166-1 alpha-2 country code.

items.orderDeviceDetail.billingAddressnullable object

Billing address for the device order, automatically deduced by the system for reference — this is not a field you submit in the request. Has the same fields as shippingAddress. null if not yet deduced.

items.orderDeviceDetail.orderProcessingUrlnullable string

URL to process order. null if not yet available.

items.orderDeviceDetail.orderNumbernullable string

Order number assigned after processing. null if not yet assigned.

items.expireAtnullable datetime string

Timestamp when the request will expire. null if not applicable.

items.requesterRemarknullable string

Remark left by the requester. null if not provided.

items.parentRemarknullable string

Remark left by the parent partner. null if not provided.

items.approvedAtnullable datetime string

Timestamp when the request was approved. null if not approved.

items.approvedBynullable string

Name of the user who approved the request. null if not approved.

items.approvedByEmailnullable string

Email of the user who approved the request. null if not approved.

items.rejectedAtnullable datetime string

Timestamp when the request was rejected. null if not rejected.

items.rejectedBynullable string

Name of the user who rejected the request. null if not rejected.

items.rejectedByEmailnullable string

Email of the user who rejected the request. null if not rejected.

items.cancelledAtnullable datetime string

Timestamp when the request was cancelled. null if not cancelled.

items.cancelledBynullable string

Name of the user who cancelled the request. null if not cancelled.

items.cancelledByEmailnullable string

Email of the user who cancelled the request. null if not cancelled.

items.expiredAtnullable datetime string

Timestamp when the request expired. null if not expired.

items.processedAtnullable datetime string

Timestamp when the request was processed. null if not yet processed.

items.statusenum

Current status of the Starlink request.

  • PENDING_APPROVAL — The request is pending approval.
  • PROCESSING — The request is being processed.
  • COMPLETED — The request has been completed.
  • CANCELLED — The request has been cancelled.
  • REJECTED — The request has been rejected.
  • EXPIRED — The request has expired.
  • ABORTED — The request has been aborted.
items.createdAtdatetime string

Date and time the request was created.

items.createdBystring

Username of the user who created the request.

items.createdByEmailnullable string

Email of the user who created the request. null if not applicable.

items.updatedAtdatetime string

Date and time the request was last updated.

items.updatedBystring

Username of the user who last updated the request.

items.updatedByEmailnullable string

Email of the user who last updated the request. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/requests/search?viewSegment=SELF&pageNum=1&pageSize=5' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "refId": "REQ-00001",
      "accountRefId": 42,
      "parentAccountRefId": null,
      "starlinkAccountRefId": "108",
      "type": "SERVICE_LINE_CREATE",
      "currency": "USD",
      "items": [
        {
          "parentItemId": null,
          "itemId": 1,
          "sku": "SL-RES-02",
          "productName": "Starlink Residential Plan",
          "quantity": 1,
          "originalUnitPrice": 140.0,
          "unitPrice": 140.0
        }
      ],
      "createServiceLineDetail": {
        "name": "My Service Line",
        "starlinkAddressRefId": "ADDR-00001",
        "starlinkServiceLineRefId": "SL-00001",
        "pendingActivation": false,
        "starlinkDeviceRefIds": ["XXXX00000001"]
      },
      "changeServiceLinePlanDetail": null,
      "optInServiceLineDetail": null,
      "reactivateServiceLineDetail": null,
      "topupServiceLineDetail": null,
      "orderDeviceDetail": null,
      "expireAt": null,
      "requesterRemark": null,
      "parentRemark": null,
      "approvedAt": "2026-03-25T08:00:00.000Z",
      "approvedBy": "System",
      "approvedByEmail": null,
      "rejectedAt": null,
      "rejectedBy": null,
      "rejectedByEmail": null,
      "cancelledAt": null,
      "cancelledBy": null,
      "cancelledByEmail": null,
      "expiredAt": null,
      "processedAt": "2026-03-25T08:00:05.000Z",
      "status": "COMPLETED",
      "createdAt": "2026-03-25T07:55:00.000Z",
      "createdBy": "Alice C",
      "createdByEmail": "[email protected]",
      "updatedAt": "2026-03-25T08:00:05.000Z",
      "updatedBy": "System",
      "updatedByEmail": null
    }
  ]
}

On this page